function [ auto_corr ] = sliding_corr(aoi,N)
%sliding autocorrelation
M               = length(aoi);
aoi             = reshape(aoi,1,M);
auto_corr       = zeros(M-1,1);
for i = 1:length(aoi)-2*N-1
    window      = aoi(i:i+N-1);
    auto_corr(i)= aoi(i+N:i+2*N-1)*window';
end

